Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class IMatrixCell

    java.lang.Object
      infomat.vectorspace.IMatrixCell

All Implemented Interfaces:
  IVectorIndex

    public class IMatrixCell

extends java.lang.Object
implements IVectorIndex

An element in a IMatrix. In many types of applications, as Information Retrieval (IR) for instance, the IMatrix is very sparse. Only the non zero elements are stored.

Field Summary
`private IObject` | `columnObject`
`private float` | `localCount`
`private float` | `localWeight`
`private IObject` | `rowObject`
`private float` | `weight`

Constructor Summary
`IMatrixCell(IMatrixCell mc)`
`IMatrixCell(IObject rowObject, IObject columnObject, float weight)`
`IMatrixCell(IObject rowObject, IObject columnObject, float localCount, float weight)`
`IMatrixCell(IObject rowObject, IObject columnObject, float localCount, float localWeight, float weight)`

Method Summary
`void` | `addOneToLocalCount()`
`void` | `addToLocalCount(float addition)`
`IObject` | `getColumnIObject()`
`float` | `getLocalCount()`
`float` | `getLocalWeight()`
`java.lang.String` | `getLocation()`
`IObject` | `getOtherIObject(IObject io)`
`IObject` | `getRowIObject()`
`java.lang.String` | `getString()`
`float` | `getWeight()`
`protected void` | `invert()`
`protected void` | `setColumnIObject(IObject io)`
`void` | `setLocalWeight(float localWeight)` Use with caution!
`protected void` | `setRowIObject(IObject io)`
`void` | `setWeight(float weight)` Use with caution!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rowObject

    private IObject rowObject

### columnObject

    private IObject columnObject

### localCount

    private float localCount

### localWeight

    private float localWeight

### weight

    private float weight

Constructor Detail

### IMatrixCell

    public IMatrixCell(IObject rowObject,
                       IObject columnObject,
                       float localCount,
                       float weight)

### IMatrixCell

    public IMatrixCell(IObject rowObject,
                       IObject columnObject,
                       float localCount,
                       float localWeight,
                       float weight)

### IMatrixCell

    public IMatrixCell(IObject rowObject,
                       IObject columnObject,
                       float weight)

### IMatrixCell

    public IMatrixCell(IMatrixCell mc)

Method Detail

### getLocalCount

    public float getLocalCount()

### getLocalWeight

    public float getLocalWeight()

### getWeight

    public float getWeight()

### getRowIObject

    public IObject getRowIObject()

### getColumnIObject

    public IObject getColumnIObject()

### getOtherIObject

    public IObject getOtherIObject(IObject io)

### addToLocalCount

    public void addToLocalCount(float addition)

### addOneToLocalCount

    public void addOneToLocalCount()

### invert

    protected void invert()

### setRowIObject

    protected void setRowIObject(IObject io)

### setColumnIObject

    protected void setColumnIObject(IObject io)

### setLocalWeight

    public void setLocalWeight(float localWeight)

  Use with caution!

### setWeight

    public void setWeight(float weight)

  Use with caution!

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `IVectorIndex`

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in interface `IVectorIndex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD